<?php

namespace Drupal\css_size_field\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\FormatterBase;
use Drupal\Core\StringTranslation\TranslatableMarkup;

#[FieldFormatter(
  id: "css_size_default",
  label: new TranslatableMarkup("Default"),
  field_types: ["css_size"]
)]
class CssSizeDefaultFormatter extends FormatterBase {

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode) {
    $element = [];
    /** @var \Drupal\physical\Plugin\Field\FieldType\MeasurementItem $item */
    foreach ($items as $delta => $item) {
      $element[$delta] = [
        '#markup' => "{$item->number}{$item->unit}",
      ];
    }

    return $element;
  }

}
