<?php

namespace Drupal\css_size_field;

/**
 * Provides the interface for unit classes.
 *
 * A unit class defines all possible units for a css_size type.
 */
interface UnitInterface {

  /**
   * Gets the labels for the defined units.
   *
   * @return array
   *   An array of labels keyed by unit.
   */
  public static function getLabels();

  /**
   * Asserts that the given unit exists.
   *
   * @param string $unit
   *   The unit.
   *
   * @throws \InvalidArgumentException
   */
  public static function assertExists($unit);

}
